import { AbstractEntry } from "./AbstractEntry";
import { AbstractFileSystem } from "./AbstractFileSystem";
import { CopyOptions, DeleteOptions, Directory, Entry, HeadOptions, Item, ListOptions, MkcolOptions, Stats } from "./core";
import { FileSystemError } from "./errors";
export declare abstract class AbstractDirectory extends AbstractEntry implements Directory {
    constructor(fs: AbstractFileSystem, path: string);
    _copy(toDir: Entry, options: CopyOptions, errors?: FileSystemError[]): Promise<boolean>;
    _deleteExisting(options: DeleteOptions, errors?: FileSystemError[]): Promise<boolean>;
    _validate(options?: HeadOptions): Promise<void>;
    dir(options?: ListOptions): Promise<string[]>;
    dir(options?: ListOptions, errors?: FileSystemError[]): Promise<string[] | null>;
    head(options?: HeadOptions): Promise<Stats>;
    head(options?: HeadOptions, errors?: FileSystemError[]): Promise<Stats | null>;
    list(options?: ListOptions): Promise<string[]>;
    list(options?: ListOptions, errors?: FileSystemError[]): Promise<string[] | null>;
    ls(options?: ListOptions): Promise<string[]>;
    ls(options?: ListOptions, errors?: FileSystemError[]): Promise<string[] | null>;
    mkcol(options?: MkcolOptions, errors?: FileSystemError[]): Promise<boolean>;
    mkdir: (options?: MkcolOptions) => Promise<boolean>;
    readdir(options?: ListOptions): Promise<string[]>;
    readdir(options?: ListOptions, errors?: FileSystemError[]): Promise<string[] | null>;
    abstract _doDelete(): Promise<void>;
    abstract _doList(): Promise<Item[]>;
    abstract _doMkcol(): Promise<void>;
    protected __list(options: ListOptions): Promise<Item[]>;
    protected __mkcol(options: MkcolOptions): Promise<boolean>;
    protected _afterList(options: ListOptions, list: Item[] | null, error?: FileSystemError): Promise<void>;
    protected _afterMkcol(options: MkcolOptions, result: boolean, error?: FileSystemError): Promise<void>;
    protected _beforeList(options: ListOptions): Promise<Item[] | null>;
    protected _beforeMkcol(options: MkcolOptions): Promise<boolean | null>;
    protected _list(options: ListOptions, errors?: FileSystemError[]): Promise<Item[] | null>;
}
//# sourceMappingURL=AbstractDirectory.d.ts.map