"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testAll = void 0;
const errors_1 = require("../errors");
const testAll = (fs, options) => {
    it("setup", async () => {
        if (options?.setup) {
            await options.setup();
        }
    });
    it("rootdir", async () => {
        const list = await fs.list("/");
        expect(list.length).toBe(0);
    });
    it("nothing", async () => {
        try {
            const list = await fs.list("/nothing");
            if (0 < list.length) {
                throw new Error("/nothing exists");
            }
        }
        catch (e) {
            expect(e.name).toBe(errors_1.NotFoundError.name);
        }
    });
    it("file_list", async () => {
        await fs.write("/file_list", new ArrayBuffer(1));
        try {
            const list = await fs.list("/file_list");
            if (0 < list.length) {
                throw new Error("/nothing exists");
            }
        }
        catch (e) {
            expect(e.name === errors_1.TypeMismatchError.name ||
                e.name === errors_1.NotFoundError.name).toBe(true);
        }
    });
    it("teardown", async () => {
        if (options?.teardown) {
            await options.teardown();
        }
    });
};
exports.testAll = testAll;
//# sourceMappingURL=list.js.map