"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
it("util/path.ts#getParentPath", () => {
    let parentPath = (0, util_1.getParentPath)("/hoge/fuga");
    expect(parentPath).toBe("/hoge");
    parentPath = (0, util_1.getParentPath)("/hoge/fuga/");
    expect(parentPath).toBe("/hoge");
    parentPath = (0, util_1.getParentPath)("/");
    expect(parentPath).toBe("/");
    parentPath = (0, util_1.getParentPath)("hoge");
    expect(parentPath).toBe("/");
    parentPath = (0, util_1.getParentPath)("");
    expect(parentPath).toBe("/");
});
it("util/path.ts#getName", () => {
    let name = (0, util_1.getName)("/hoge/fuga");
    expect(name).toBe("fuga");
    name = (0, util_1.getName)("hoge/fuga");
    expect(name).toBe("fuga");
    name = (0, util_1.getName)("/hoge/fuga/");
    expect(name).toBe("fuga");
    name = (0, util_1.getName)("/");
    expect(name).toBe("");
    name = (0, util_1.getName)("test");
    expect(name).toBe("test");
});
it("util/path.ts#normalizePath", () => {
    let path = (0, util_1.normalizePath)("/hoge/fuga");
    expect(path).toBe("/hoge/fuga");
    path = (0, util_1.normalizePath)("/hoge//fuga/");
    expect(path).toBe("/hoge/fuga");
    path = (0, util_1.normalizePath)("/hoge/fuga/");
    expect(path).toBe("/hoge/fuga");
    path = (0, util_1.normalizePath)("./hoge/fuga/");
    expect(path).toBe("/hoge/fuga");
    path = (0, util_1.normalizePath)("/hoge/../fuga/");
    expect(path).toBe("/fuga");
    path = (0, util_1.normalizePath)("/");
    expect(path).toBe("/");
    path = (0, util_1.normalizePath)("");
    expect(path).toBe("/");
});
//# sourceMappingURL=path.spec.js.map