"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modify = exports.ModifiedReadable = exports.createModifiedReadableStream = void 0;
const univ_conv_1 = require("univ-conv");
if (univ_conv_1.hasReadableStream) {
    exports.createModifiedReadableStream = require("./mods-web");
}
if (univ_conv_1.hasReadable) {
    exports.ModifiedReadable = require("./mods-node");
}
async function modify(src, ...mods) {
    const u8 = await univ_conv_1.DEFAULT_CONVERTER.convert(src, "uint8array");
    const size = u8.length;
    for (const mod of mods) {
        const start = mod.start ?? 0;
        if (size <= start) {
            continue;
        }
        let length;
        if (mod.length == null) {
            length = size - start;
        }
        else {
            length = mod.length;
            if (size < start + length) {
                length = size - start;
            }
        }
        const data = await univ_conv_1.DEFAULT_CONVERTER.toUint8Array(mod.data, { length });
        u8.set(data, start);
    }
    return u8;
}
exports.modify = modify;
//# sourceMappingURL=mods.js.map